# Nick's web site: Ruby helpers for processing
#
# Copyright © 2018 Nick Bowler
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

def to_xhtml(subpath = "", item = @item)
    if item.identifier =~ '/index.*'
        ret =  "/" + subpath + "/index.xhtml"
    else
        ret = item.identifier.without_ext + "/" + subpath + "/index.xhtml"
    end

    return ret.gsub(/\/+/, "/")
end

def item_source(item = @item)
    filename = "content" + item.identifier

    if File.file? filename then
        return filename
    end

    return nil
end
